Subject: Re: [PATCH] powerpc/powernv: Remove powernv RTAS support

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Fri, 27 Mar 2015 18:24:08 +0530

Michael Ellerman <[email-masked]> writes:

> The powernv code has some conditional support for running on bare metal
> machines that have no OPAL firmware, but provide RTAS.
>
> No released machines ever supported that, and even in the lab it was
> just a transitional hack in the days when OPAL was still being
> developed.
>
> So remove the code.

So when we select CONFIG_PPC_PSERIES, we end up selecting
CONFIG_PPC_RTAS. What is the expected behaviour there for powernv ? Can
we use RTAS call from powernv code if rtas node is present in device
tree ? Or do we want to make sure powernv always use OPAL call ?

For example, right now we will use rtas_node get-term-char and
put-term-char even with this patch applied.

-aneesh